Plugin data not imported

I am assessing the apps and below is my screen

still i keep on getting this screen

“This app does not require an app data migration to function on your cloud site. Install it, migrate your core data and you’re ready to go”

But my app needs data migration !! because of this events on start app migration are not getting triggered. How can i fix this?
Also i do not see any option to agree to terms and conditions

  • My app is installed on cloud site
  • Cloud site is trial version

Hi @shiv,

Thanks for your questions about app migration. You can review the general documentation about app assessment here:

As I can’t see your app name or app key, but looking at the screenshot I’d say you have an entry in the Marketplace migration api here:

But it sounds like since we’re detecting that it’s an automated path then we can’t see an implementation of onStartAppMigration() in your code.

Have you followed the steps in

Specifically, have you

  1. Imported the -tracker or -osgi library in your pom.xml or other equivalent system
  2. Implemented the class AppCloudMigrationListenerV1 or CloudMigrationListenerV1 depending on the library you use (or Jira class if required)
  3. Ensured getServerAppKey() and getCloudAppKey() return the correct app keys
  4. Registered the listener (depending on the library you use)
  5. Enabled the app migration dark feature

One way to check this is to put breakpoints or logging in the methods of the listener to confirm that’s it’s being called.

Note that in the next few days we’ll expect to be releasing a new version of the Cloud Migration Assistants that won’t need the dark features.

Regards,
James.

1 Like

Hi @jrichards ,
Created a new test jira cloud site and tried to migrate data. It worked. Not able to figure out why it is not working on my old site,
but thanks for your help it is working now

Shiv

1 Like

Hi @jrichards

Please see the screenshot again started seeing “Contact vendor” when i should see “Automated Path”.
Can you please help with this? the behavior is not consistent. I can see “Automated Path” on my colleagues system !

Thanks
Shiv

Hi @shiv,

Are you saying on a different Jira system for the same app you see Automated Path? With same versions and settings?

We cache results, so you can either go to admin and cache setting and flush the full memory cache, or for the full effect restart Jira.

Let me know how this goes.

Regards,
James.

Hi @jrichards ,

We have released server/DC version 5.9

I have mentioned “cloudMigrationAssistantCompatibility”: “5.8.1” in marketplace API

As per docs:
cloudMigrationAssistantCompatibility
string
The Server/DC app’s minimum version that is compatible with the Cloud Migration Assistant

I am getting exception in logs:
2021-09-23 11:30:26,564 http-nio-2990-exec-10 WARN admin 690x4421x1 i42oee 0:0:0:0:0:0:0:1 /rest/migration/latest/app [c.a.migration.app.MigratabliltyInfo] Could not read versions for plugin with key: xxxx-xxxx, installed version: 5.9, cloud compatible version: 5.8.1
com.atlassian.migration.app.MigratabliltyInfo$MigrabilityVersionException: Could not read versions for installed version: 5.9, cloud compatible version: 5.8.1

server plugin version 5.9 it shows “contact vendor”
If i fall back to version 5.8.2, it shows “Automated path”

1 Like

Hi @shiv,

I need to test this and confirm with the team, but as we use semantic versioning I suspect the version number should be 5.9.0 and not 5.9.

Regards,
James.

Hi @jrichards ,
Changed the version to 5.9.0 it worked

Thanks
Shiv

1 Like